=== modified file 'Makefile'
--- Makefile	2009-06-29 11:02:31 +0000
+++ Makefile	2009-07-14 15:01:19 +0000
@@ -169,14 +169,14 @@
 	$(wildcard $(addsuffix /*.txt, bzrlib/help_topics/en)) 
 
 doc/en/user-reference/bzr_man.txt: $(MAN_DEPENDENCIES)
-	PYTHONPATH=.:$$PYTHONPATH $(PYTHON) tools/generate_docs.py -o $@ rstx
+	$(PYTHON) tools/generate_docs.py -o $@ rstx
 
 doc/en/release-notes/NEWS.txt: NEWS
 	$(PYTHON) -c "import shutil; shutil.copyfile('$<', '$@')"
 
 MAN_PAGES = man1/bzr.1
 man1/bzr.1: $(MAN_DEPENDENCIES)
-	PYTHONPATH=.:$$PYTHONPATH $(PYTHON) tools/generate_docs.py -o $@ man
+	$(PYTHON) tools/generate_docs.py -o $@ man
 
 # build a png of our performance task list
 # 

=== modified file 'NEWS'
--- NEWS	2009-07-14 16:12:28 +0000
+++ NEWS	2009-07-15 02:32:13 +0000
@@ -16,6 +16,10 @@
   api ``PyFrozenSet_New``. It turns out that python2.4 did not expose the
   C api. (John Arbash Meinel, #399366)
 
+* Fixes for the Makefile and the rename of ``generate_docs.py`` to
+  ``tools/generate_docs.py`` to allow everything to be built on Windows.
+  (John Arbash Meinel, #399356)
+
 
 bzr 1.17rc1 "So late it's brunch" 2009-07-13
 ############################################

=== modified file 'tools/generate_docs.py'
--- tools/generate_docs.py	2009-06-19 09:27:13 +0000
+++ tools/generate_docs.py	2009-07-14 15:01:19 +0000
@@ -32,12 +32,13 @@
 
 Run "%(prog)s --help" for the option reference.
 """
-
-import bzrlib.commands
+import os
 import sys
 from optparse import OptionParser
 
-from bzrlib import doc_generate
+sys.path.insert(0, os.path.dirname(os.path.dirname(__file__)))
+
+from bzrlib import commands, doc_generate
 
 def main(argv):
     parser = OptionParser(usage="""%prog [options] OUTPUT_FORMAT
@@ -69,8 +70,8 @@
     if len(args) != 2:
         parser.print_help()
         sys.exit(1)
-    
-    bzrlib.commands.install_bzr_command_hooks()
+
+    commands.install_bzr_command_hooks()
 
     infogen_type = args[1]
     infogen_mod = doc_generate.get_module(infogen_type)

=== modified file 'tools/win32/build_release.py'
--- tools/win32/build_release.py	2009-06-17 18:11:58 +0000
+++ tools/win32/build_release.py	2009-07-14 15:00:14 +0000
@@ -4,12 +4,12 @@
 # When preparing a new release, make sure to set all of these to the latest
 # values.
 VERSIONS = {
-    'bzr': '1.16',
-    'qbzr': '0.11.0',
-    'bzrtools': '1.16.0',
-    'bzr-svn': '0.6.1',
-    'bzr-rebase': '0.5.0',
-    'subvertpy': '0.6.7',
+    'bzr': '1.17',
+    'qbzr': '0.12',
+    'bzrtools': '1.17.0',
+    'bzr-svn': '0.6.3-win32-1',
+    'bzr-rewrite': '0.5.1',
+    'subvertpy': '0.6.8',
 }
 
 # This will be passed to 'make' to ensure we build with the right python
@@ -125,7 +125,7 @@
 
 
 def _plugin_tag_name(plugin_name):
-    if plugin_name in ('bzr-svn', 'bzr-rebase', 'subvertpy'):
+    if plugin_name in ('bzr-svn', 'bzr-rewrite', 'subvertpy'):
         return '%s-%s' % (plugin_name, VERSIONS[plugin_name])
     # bzrtools and qbzr use 'release-X.Y.Z'
     return 'release-' + VERSIONS[plugin_name]
@@ -134,7 +134,7 @@
 def update_plugin(plugin_name):
     release_dir = get_plugin_release_dir(plugin_name)
     if not os.path.isdir(plugin_name):
-        if plugin_name in ('bzr-svn', 'bzr-rebase'):
+        if plugin_name in ('bzr-svn', 'bzr-rewrite'):
             # bzr-svn uses a different repo format
             call_or_fail([bzr(), 'init-repo', '--rich-root-pack', plugin_name])
         else:
@@ -195,7 +195,7 @@
     install_plugin('bzrtools')
     install_plugin('qbzr')
     install_plugin('bzr-svn')
-    install_plugin('bzr-rebase')
+    install_plugin('bzr-rewrite')
 
     build_installer()
 

